Subject: Re: [PATCH v4 00/15] Harden the sparse-checkout builtin

From: Taylor Blau <[email-masked]>
Date: Sat, 8 Feb 2020 15:32:47 -0800

Hi Derrick,

On Mon, Feb 03, 2020 at 09:09:54AM -0500, Derrick Stolee wrote:
> On 1/31/2020 3:36 PM, Elijah Newren wrote:
> > On Fri, Jan 31, 2020 at 12:16 PM Derrick Stolee via GitGitGadget
> >> Update in V3:
> >>
> >>  * Input now uses Peff's recommended pattern: unquote C-style strings over
> >>    stdin and otherwise do not un-escape input.
> >
> > ...and updates in V4 are?  (I looked over the range-diff which
> > definitely helps, but a summary would still be nice.)
>
> Sorry! I definitely should have double-checked before sending.
>
> Updates in V4:
>
> * Special-character checking now considers all glob characters
>   ( '[', '*', '\\', '?' ) See Patches 8 and 13.
>
> * Patch 10 is is now split into two (Patches 10 and 11), to properly
>   escape patterns and to unquote C-style strings.
>
> * The file/directory path bug reported in [1] is fixed in Patch 15.

Thanks for including these. I haven't been super active in the earlier
rounds of review on this series, but I gave a thorough look to what you
have in v4, and it all looks good to me.

Please consider this:

  Reviewed-by: Taylor Blau <[email-masked]>

> Thanks,
> -Stolee
>
> [1] https://lore.kernel.org/git/CADSBhNbbO=[email-masked]/

Thanks,
Taylor